For the complete documentation index, see llms.txt. This page is also available as Markdown.

Schedules

List Schedules

get

Gets a list of schedules.

Args: schedule_filter_model: Filter model used for pagination, sorting, filtering project_name_or_id: Optional name or ID of the project. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: List of schedule objects.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
project_name_or_idany of · nullableOptional
stringOptional
or
string · uuidOptional
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
projectany of · nullableOptional
string · uuidOptional
or
stringOptional
pipeline_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
orchestrator_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
activeboolean · nullableOptional
cron_expressionany of · nullableOptional
stringOptional
or
string[]Optional
start_timeany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
end_timeany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
interval_secondany of · nullableOptional
numberOptional
or
stringOptional
or
catchupboolean · nullableOptional
nameany of · nullableOptional
stringOptional
or
string[]Optional
run_once_start_timeany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
is_archivedboolean · nullableOptional
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/schedules
GET /api/v1/schedules HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "active": true,
        "cron_expression": "text",
        "start_time": "2026-01-01T00:00:00.000Z",
        "end_time": "2026-01-01T00:00:00.000Z",
        "interval_second": "text",
        "catchup": false,
        "run_once_start_time": "2026-01-01T00:00:00.000Z",
        "is_archived": true
      },
      "metadata": {
        "orchestrator_id": "123e4567-e89b-12d3-a456-426614174000",
        "pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
        "run_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  ]
}

Get Schedule

get

Gets a specific schedule using its unique id.

Args: schedule_id: ID of the schedule to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: A specific schedule object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
schedule_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for schedules.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/schedules/{schedule_id}
GET /api/v1/schedules/{schedule_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "active": true,
    "cron_expression": "text",
    "start_time": "2026-01-01T00:00:00.000Z",
    "end_time": "2026-01-01T00:00:00.000Z",
    "interval_second": "text",
    "catchup": false,
    "run_once_start_time": "2026-01-01T00:00:00.000Z",
    "is_archived": true
  },
  "metadata": {
    "orchestrator_id": "123e4567-e89b-12d3-a456-426614174000",
    "pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Update Schedule

put

Updates the attribute on a specific schedule using its unique id.

Args: schedule_id: ID of the schedule to get. schedule_update: the model containing the attributes to update.

Returns: The updated schedule object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
schedule_idstring · uuidRequired
Body

Update model for schedules.

namestring · nullableOptional
cron_expressionstring · nullableOptional
activeboolean · nullableOptional
Responses
200

Successful Response

application/json

Response model for schedules.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/schedules/{schedule_id}
PUT /api/v1/schedules/{schedule_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "name": "text",
  "cron_expression": "text",
  "active": true
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "active": true,
    "cron_expression": "text",
    "start_time": "2026-01-01T00:00:00.000Z",
    "end_time": "2026-01-01T00:00:00.000Z",
    "interval_second": "text",
    "catchup": false,
    "run_once_start_time": "2026-01-01T00:00:00.000Z",
    "is_archived": true
  },
  "metadata": {
    "orchestrator_id": "123e4567-e89b-12d3-a456-426614174000",
    "pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
    "run_metadata": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Delete Schedule

delete

Deletes a specific schedule using its unique id.

Args: schedule_id: ID of the schedule to delete. soft: Soft deletion will archive the schedule.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
schedule_idstring · uuidRequired
Query parameters
softbooleanRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/schedules/{schedule_id}
DELETE /api/v1/schedules/{schedule_id}?soft=true HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?